<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Transition</title>
    <style>
        html, body {
            height: 100%;
        }
        .container {
            display: flex;
            justify-content: space-around;
            align-items: center;
            height: inherit;
        }

        .container .item {
            padding: 10px;
            border: 1px solid orange;
            width: 250px;
            text-align: center;
            /*transition-property: width;*/
            transition-duration: .8s;
            /*transition-delay: .3s;*/
            transition-timing-function: ease-in-out;
            /*transition: width .5s step-start .2s;*/
        }

        .container .item:hover {
            cursor: pointer;
            background-color: #3cb878;
            color: #f1ad1d;
            width: 350px;
        }

    </style>
</head>
<body>
    <div class="container">
        <div class="item">1</div>
        <div class="item">2</div>
        <div class="item">3</div>
    </div>
</body>
</html>